#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Implementation of the draft Desktop Menu Specification
Summary(pl.UTF-8):	Implementacja specyfikacji menu systemów biurkowych
Name:		gnome-menus
Version:	3.36.0
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-menus/3.36/%{name}-%{version}.tar.xz
# Source0-md5:	a8fd71fcf31a87fc799d80396a526829
URL:		https://www.gnome.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	filesystem >= 4.1-15
Provides:	xdg-menus
Obsoletes:	gnome-menus-editor
Obsoletes:	gnome-menus-filter-default
Obsoletes:	gnome-menus-filter-desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
<http://www.freedesktop.org/Standards/menu-spec>.

%description -l pl.UTF-8
Pakiet zawiera implementację specyfikacji menu systemów biurkowych z
freedesktop.org: <http://www.freedesktop.org/Standards/menu-spec>.

%package libs
Summary:	gnome-menus library
Summary(pl.UTF-8):	Biblioteka gnome-menus
Group:		Libraries
Requires:	glib2 >= 1:2.30.0
Provides:	gnome-vfs-menu-module = 1.1-1
Provides:	gnome-vfs2-module-menu = 1.1-1
Obsoletes:	gnome-vfs-menu-module
Obsoletes:	gnome-vfs2-module-menu
Obsoletes:	gnome-vfs2-vfolder-menu

%description libs
gnome-menus library.

%description libs -l pl.UTF-8
Biblioteka gnome-menus.

%package devel
Summary:	Header files of gnome-menus library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gnome-menus
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0

%description devel
Headers for gnome-menus library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gnome-menus.

%package static
Summary:	Static gnome-menus library
Summary(pl.UTF-8):	Statyczna biblioteka gnome-menus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of gnome-menu library.

%description static -l pl.UTF-8
Statyczna biblioteka gnome-menu.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# not supported by glibc (as of 2.21-5)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{gn,io}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/xdg/menus/gnome-applications.menu
%{_datadir}/desktop-directories/AudioVideo.directory
%{_datadir}/desktop-directories/Development.directory
%{_datadir}/desktop-directories/Education.directory
%{_datadir}/desktop-directories/Game.directory
%{_datadir}/desktop-directories/Graphics.directory
%{_datadir}/desktop-directories/Network.directory
%{_datadir}/desktop-directories/Office.directory
%{_datadir}/desktop-directories/System-Tools.directory
%{_datadir}/desktop-directories/Utility.directory
%{_datadir}/desktop-directories/Utility-Accessibility.directory
%{_datadir}/desktop-directories/X-GNOME-*.directory

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-menu-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-menu-3.so.0
%{_libdir}/girepository-1.0/GMenu-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-menu-3.so
%{_datadir}/gir-1.0/GMenu-3.0.gir
%{_pkgconfigdir}/libgnome-menu-3.0.pc
%{_includedir}/gnome-menus-3.0

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnome-menu-3.a
%endif
%changelog
* Wed Sep 02 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-menus.git;a=log;h=master

* Wed Sep 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 9f456e8
- top level XDG dirs are owned by filesystem; release 2

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> bcbf22e
- updated to 3.36.0

* Mon May 20 2019 Jakub Bogusz <qboosh@pld-linux.org> d900886
- updated to 3.32.0
- removed obsolete nokde patch (legacy kde dirs are skipped now)

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> a702cc4
- back to unified szl locale dir name (thinko fixed in glibc); release 5

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 67b7f6d
- fix szl locale name
- rel 4

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 4084fc3
- szl[_PL] locale is supported now; release 3

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 152550b
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c57da23
- updated gettext BR

* Tue Oct 15 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 5d6e043
- Update to 3.10.1

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f5e9da9
- Update to 3.8.0

* Sat Jan 19 2013 Elan Ruusamäe <glen@delfi.ee> 5102c38
- up to 3.6.2

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> f6118b0
- updated to 3.6.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 6805b7e
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Wed Sep 26 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1d4d79b
- szl (Silesian) is not supported; rel. 2

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> fa4b5e7
- merged from DEVEL
- updated to 3.6.0

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> d565676
- updated to 3.5.5

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> bee12b7
- updated to 3.4.2

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 271ade4
- updated to 3.4.0

* Wed Sep 28 2011 Artur Frysiak <artur@frysiak.net> 51e52b5
- typo
- rel. 2

* Wed Sep 28 2011 Artur Frysiak <artur@frysiak.net> befad07
- up to 3.2.0.1

